ChangeSet 1.1254.4.44, 2003/06/04 13:34:03-07:00, greg@kroah.com

[PATCH] PCI: remove usage of pci_for_each_dev() in arch/i386/kernel/cpu/cpufreq/gx-suspmod.c


 arch/i386/kernel/cpu/cpufreq/gx-suspmod.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/arch/i386/kernel/cpu/cpufreq/gx-suspmod.c b/arch/i386/kernel/cpu/cpufreq/gx-suspmod.c
--- a/arch/i386/kernel/cpu/cpufreq/gx-suspmod.c	Wed Jun  4 18:08:48 2003
+++ b/arch/i386/kernel/cpu/cpufreq/gx-suspmod.c	Wed Jun  4 18:08:48 2003
@@ -186,7 +186,7 @@
  **/
 static __init struct pci_dev *gx_detect_chipset(void)
 {
-	struct pci_dev *gx_pci;
+	struct pci_dev *gx_pci = NULL;
 
 	/* check if CPU is a MediaGX or a Geode. */
         if ((current_cpu_data.x86_vendor != X86_VENDOR_NSC) && 
@@ -196,7 +196,7 @@
 	}
 
 	/* detect which companion chip is used */
-	pci_for_each_dev(gx_pci) {
+	while ((gx_pci = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, gx_pci)) != NULL) {
 		if ((pci_match_device (gx_chipset_tbl, gx_pci)) != NULL) {
 			return gx_pci;
 		}
